Collecting package metadata (repodata.json): failed

Dear sir,
I came across problem when installing QIIME2 2019.10 on my MacBook.

"
(base) lvxindembp:~ lvxin$ conda env create -n qiime2-2019.10 --file qiime2-2019.10-py36-osx-conda.yml
Collecting package metadata (repodata.json): failed

CondaHTTPError: HTTP 000 CONNECTION FAILED for url https://conda.anaconda.org/conda-forge/osx-64/repodata.json
Elapsed: -

An HTTP error occurred when trying to retrieve this URL.
HTTP errors are often intermittent, and a simple retry will get you on your way.
β€˜https://conda.anaconda.org/conda-forge/osx-64’
"


This is an automatically generated error report

"

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 313, in recv_into
    return self.connection.recv_into(*args, **kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1840, in recv_into
    self._raise_ssl_error(self._ssl, result)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1646, in _raise_ssl_error
    raise WantReadError()
OpenSSL.SSL.WantReadError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 313, in recv_into
    return self.connection.recv_into(*args, **kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1840, in recv_into
    self._raise_ssl_error(self._ssl, result)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1663, in _raise_ssl_error
    raise SysCallError(errno, errorcode.get(errno))
OpenSSL.SSL.SysCallError: (54, 'ECONNRESET')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 425, in _error_catcher
    yield
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 752, in read_chunked
    self._update_chunk_length()
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 682, in _update_chunk_length
    line = self._fp.fp.readline()
  File "/Users/lvxin/miniconda3/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 328, in recv_into
    return self.recv_into(*args, **kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 318, in recv_into
    raise SocketError(str(e))
OSError: (54, 'ECONNRESET')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/models.py", line 750, in generate
    for chunk in self.raw.stream(chunk_size, decode_content=True):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 560, in stream
    for line in self.read_chunked(amt, decode_content=decode_content):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 781, in read_chunked
    self._original_response.close()
  File "/Users/lvxin/miniconda3/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/urllib3/response.py", line 443, in _error_catcher
    raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ('Connection broken: OSError("(54, \'ECONNRESET\')")', OSError("(54, 'ECONNRESET')"))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1078, in __call__
    return func(*args, **kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py", line 80, in do_call
    exit_code = getattr(module, func_name)(args, parser)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda_env/cli/main_create.py", line 105, in execute
    result[installer_type] = installer.install(prefix, pkg_specs, args, env)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda_env/installers/conda.py", line 32, in install
    prune=getattr(args, 'prune', False), update_modifier=UpdateModifier.FREEZE_INSTALLED)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 117, in solve_for_transaction
    should_retry_solve)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 158, in solve_for_diff
    force_remove, should_retry_solve)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 262, in solve_final_state
    ssc = self._collect_all_metadata(ssc)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 415, in _collect_all_metadata
    index, r = self._prepare(prepared_specs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 1004, in _prepare
    self.subdirs, prepared_specs, self._repodata_fn)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/index.py", line 228, in get_reduced_index
    repodata_fn=repodata_fn)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 105, in query_all
    result = tuple(concat(executor.map(subdir_query, channel_urls)))
  File "/Users/lvxin/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 598, in result_iterator
    yield fs.pop().result()
  File "/Users/lvxin/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 435, in result
    return self.__get_result()
  File "/Users/lvxin/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 384, in __get_result
    raise self._exception
  File "/Users/lvxin/miniconda3/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 98, in <lambda>
    package_ref_or_match_spec))
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 110, in query
    self.load()
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 174, in load
    _internal_state = self._load()
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 248, in _load
    repodata_fn=self.repodata_fn)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 485, in fetch_repodata_remote_request
    timeout=timeout)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 686, in send
    r.content
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/models.py", line 828, in content
    self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
  File "/Users/lvxin/miniconda3/lib/python3.7/site-packages/requests/models.py", line 753, in generate
    raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ('Connection broken: OSError("(54, \'ECONNRESET\')")', OSError("(54, 'ECONNRESET')"))

$ /Users/lvxin/miniconda3/bin/conda-env create -n qiime2-2019.10 --file qiime2-2019.10-py36-osx-conda.yml

environment variables:
CIO_TEST=
CONDA_AUTO_UPDATE_CONDA=false
CONDA_DEFAULT_ENV=base
CONDA_EXE=/Users/lvxin/miniconda3/bin/conda
CONDA_PREFIX=/Users/lvxin/miniconda3
CONDA_PROMPT_MODIFIER=(base)
CONDA_PYTHON_EXE=/Users/lvxin/miniconda3/bin/python
CONDA_ROOT=/Users/lvxin/miniconda3
CONDA_SHLVL=1
PATH=/Users/lvxin/miniconda3/bin:/Users/lvxin/miniconda3/bin:/Users/lvxin/m
iniconda3/condabin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=

 active environment : base
active env location : /Users/lvxin/miniconda3
        shell level : 1
   user config file : /Users/lvxin/.condarc

populated config files : /Users/lvxin/.condarc
conda version : 4.8.1
conda-build version : not installed
python version : 3.7.4.final.0
virtual packages : __osx=10.15.3
base environment : /Users/lvxin/miniconda3 (writable)
channel URLs : https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/pytorch/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/pytorch/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/menpo/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/menpo/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msys2/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msys2/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/bioconda/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/bioconda/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/r/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/r/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/main/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/main/noarch
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/osx-64
https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/noarch
https://conda.anaconda.org/bioconda/osx-64
https://conda.anaconda.org/bioconda/noarch
https://conda.anaconda.org/conda-forge/osx-64
https://conda.anaconda.org/conda-forge/noarch
https://repo.anaconda.com/pkgs/main/osx-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/r/osx-64
https://repo.anaconda.com/pkgs/r/noarch
package cache : /Users/lvxin/miniconda3/pkgs
/Users/lvxin/.conda/pkgs
envs directories : /Users/lvxin/miniconda3/envs
/Users/lvxin/.conda/envs
platform : osx-64
user-agent : conda/4.8.1 requests/2.22.0 CPython/3.7.4 Darwin/19.3.0 OSX/10.15.3
UID:GID : 501:20
netrc file : None
offline mode : False

An unexpected error has occurred. Conda has prepared the above report.

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers?

Upload successful.

Thank you for helping to improve conda.
Opt-in to always sending reports (and not see this message again)
by running

$ conda config --set report_errors true

"

Hi @hongyong_lv,
Looks like a connection issue:

Maybe just try again? This could be a transient connection issue on your end…

1 Like